
Redmine - Defect #3602

Project with the identifier of 'new' cannot be viewed

2009-07-09 23:39 - Eric Davis

Status: Closed Start date: 2009-07-09

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

A customer reported this bug.

1. Create a project with the identifier of 'new'

2. Try to view the Overview of that project

3. User gets the New Project form (/projects/new)

The Project model should just prevent creating a project with that identifier.

Associated revisions

Revision 2821 - 2009-07-18 10:06 - Jean-Philippe Lang

Prevent creation of project with identifier 'new' (#3602).

History

#1 - 2009-07-18 10:06 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Fixed in r2821. 'new' is now reserved and can not be used as an identifier.
